org.apache.ignite.cache

## Enum QueryIndexType

- java.lang.Object
- - java.lang.Enum<QueryIndexType>
  - - org.apache.ignite.cache.QueryIndexType

- All Implemented Interfaces:
    Serializable, Comparable<QueryIndexType>

      public enum QueryIndexType
      extends Enum<QueryIndexType>

  Index type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FULLTEXT` Full-text index.
    `GEOSPATIAL` Geo-spatial index.
    `SORTED` Sorted index.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static @Nullable QueryIndexType` | `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
    `static QueryIndexType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static QueryIndexType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SORTED

          public static final QueryIndexType SORTED

      Sorted index.

    - #### FULLTEXT

          public static final QueryIndexType FULLTEXT

      Full-text index.

    - #### GEOSPATIAL

          public static final QueryIndexType GEOSPATIAL

      Geo-spatial index.

  - ### Method Detail

    - #### values

          public static QueryIndexType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QueryIndexType c : QueryIndexType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QueryIndexType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromOrdinal

          @Nullable
          public static @Nullable QueryIndexType fromOrdinal(int ord)

      Efficiently gets enumerated value from its ordinal.
      Parameters:
        `ord` - Ordinal value.
      Returns:
        Enumerated value.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023